%define enable_check	0

%define release	13

%define _glib2		2.2
%define major		0.10
%define majorminor	0.10
%define bname		gstreamer0.10
%define gst_required_version	0.10.36

Summary: 	GStreamer Streaming-media framework plug-ins
Name: 		%{bname}-plugins-good
Version: 	0.10.31
Release: 	%mkrel %{release}
License: 	LGPLv2+
Group: 		System/Libraries
Source: 	http://gstreamer.freedesktop.org/src/gst-plugins-good/gst-plugins-good-%{version}.tar.bz2
Patch1:		gst-plugins-good-0.10.31-libv4l-0.8.9.patch
Patch2:		gst-plugins-good-0.10.31-automake-1.13.patch
Patch3:		gst-plugins-v4l2-0.10.31-linux-headers-3.9.patch
URL:		http://gstreamer.freedesktop.org/
# (gw) For the pixbuf plugin
BuildRequires:	gtk+2-devel
BuildRequires:	glib2-devel >= %{_glib2}
BuildRequires:	pkgconfig(libpng)
BuildRequires:	libjpeg-devel
BuildRequires:	pkgconfig(orc-0.4) >= 0.4.5
BuildRequires:	pkgconfig(vorbis)
BuildRequires:	pkgconfig(theora)
BuildRequires:	pkgconfig(shout)
BuildRequires:	libv4l-devel
BuildRequires:	libbzip2-devel
BuildRequires:	gettext-devel
BuildRequires:	pkgconfig(taglib)
BuildRequires:	pkgconfig(gudev-1.0)
# libtool dep:
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(check)
BuildRequires:	libgstreamer-plugins-base-devel >= %{gst_required_version}
BuildRequires:	gstreamer0.10-plugins-base
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(gconf-2.0)

%ifarch %ix86
BuildRequires:	nasm >= 0.90
%endif

%ifnarch %mips %arm
BuildRequires:	pkgconfig(valgrind)
%endif

#gw else the tests fail:
#https://bugzilla.gnome.org/show_bug.cgi?id=619717
BuildConflicts:	%{name} < 0.10.23
BuildConflicts:	%{bname}-plugins-bad < 0.10.19

Provides:	%{bname}-audiosrc
Provides:	%{bname}-audiosink

# some plugins moved from bad to good with release 0.10.23
Conflicts:	%{bname}-plugins-bad < 0.10.19

# gw this is the default http source:
Recommends:	%{bname}-soup

# (ahmad) esound has been phased out from the distro
Obsoletes:	%{bname}-esound < 0.10.27-2

%description
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plug-ins.

This package contains a set of plug-ins that are considered to have
good quality code, correct functionality, the preferred license (LGPL
for the plug-in code, LGPL or LGPL-compatible for the supporting
library). People writing elements should base their code on these
elements.


%prep
%setup -q -n gst-plugins-good-%{version}
%patch1 -p1 -b .v4l-0_8_9
%patch2 -p1 -b .automake-1_13
%patch3 -p0 -b .kernel

%build
# (re)generate autofoo using our autotools
NOCONFIGURE=1 ./autogen.sh

%configure2_5x  \
	--with-package-name='%{_vendor} %{name} package' \
	--with-package-origin='http://www.mageia.org/' \
	--disable-dependency-tracking \
	--enable-experimental \
	--disable-esd \
	--disable-flx \
	--disable-hal
%make

%if %{enable_check}
# FIXME: Some tests on mips are currently failing with timeouts
# so disable them. Moreover, orc is failing to compile stuff
# on arm/mips so orc checks are half-failings (as the backup functions
# are working)
%check
cd tests/check
%ifarch %arm %mips
make check || /bin/true
%else
make check
%endif
%endif

%install
rm -rf %{buildroot} gst-plugins-base-%{majorminor}.lang

GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std GETTEXT_PACKAGE=gst-plugins-good-%{majorminor}

%find_lang gst-plugins-good-%{majorminor}

# Clean out files that should not be part of the rpm.
# This is the recommended way of dealing with it for RH8
rm -f %{buildroot}%{_libdir}/gstreamer-%{majorminor}/*.la
rm -f %{buildroot}%{_libdir}/gstreamer-%{majorminor}/*.a
rm -f %{buildroot}%{_libdir}/*.a
rm -f %{buildroot}%{_libdir}/*.la

#blino remove development doc since we don't ship devel files
rm -rf %{buildroot}%{_docdir}/docs/plugins/html

%preun
%preun_uninstall_gconf_schemas gstreamer-%{majorminor}

%files -f gst-plugins-good-%{majorminor}.lang
%doc AUTHORS COPYING README NEWS
%{_sysconfdir}/gconf/schemas/gstreamer-%{majorminor}.schemas
%{_libdir}/gstreamer-%{majorminor}/libgstalaw.so
%{_libdir}/gstreamer-%{majorminor}/libgstannodex.so
%{_libdir}/gstreamer-%{majorminor}/libgstalpha.so
%{_libdir}/gstreamer-%{majorminor}/libgstalphacolor.so
%{_libdir}/gstreamer-%{majorminor}/libgstapetag.so
%{_libdir}/gstreamer-%{majorminor}/libgstaudiofx.so
%{_libdir}/gstreamer-%{majorminor}/libgstaudioparsers.so
%{_libdir}/gstreamer-%{majorminor}/libgstauparse.so
%{_libdir}/gstreamer-%{majorminor}/libgstautodetect.so
%{_libdir}/gstreamer-%{majorminor}/libgstavi.so
%{_libdir}/gstreamer-%{majorminor}/libgstcairo.so
%{_libdir}/gstreamer-%{majorminor}/libgstcutter.so
%{_libdir}/gstreamer-%{majorminor}/libgstdebug.so
%{_libdir}/gstreamer-%{majorminor}/libgstdeinterlace.so
%{_libdir}/gstreamer-%{majorminor}/libgstefence.so
%{_libdir}/gstreamer-%{majorminor}/libgsteffectv.so
%{_libdir}/gstreamer-%{majorminor}/libgstflv.so
%{_libdir}/gstreamer-%{majorminor}/libgstequalizer.so
%{_libdir}/gstreamer-%{majorminor}/libgstgconfelements.so
%{_libdir}/gstreamer-%{majorminor}/libgstgdkpixbuf.so
%{_libdir}/gstreamer-%{majorminor}/libgstgoom.so
%{_libdir}/gstreamer-%{majorminor}/libgstgoom2k1.so
%{_libdir}/gstreamer-%{majorminor}/libgsticydemux.so
%{_libdir}/gstreamer-%{majorminor}/libgstid3demux.so
%{_libdir}/gstreamer-%{majorminor}/libgstimagefreeze.so
%{_libdir}/gstreamer-%{majorminor}/libgstinterleave.so
%{_libdir}/gstreamer-%{majorminor}/libgstisomp4.so
%{_libdir}/gstreamer-%{majorminor}/libgstjpeg.so
%{_libdir}/gstreamer-%{majorminor}/libgstlevel.so
%{_libdir}/gstreamer-%{majorminor}/libgstmatroska.so
%{_libdir}/gstreamer-%{majorminor}/libgstmonoscope.so
%{_libdir}/gstreamer-%{majorminor}/libgstmulaw.so
%{_libdir}/gstreamer-%{majorminor}/libgstmultifile.so
%{_libdir}/gstreamer-%{majorminor}/libgstmultipart.so
%{_libdir}/gstreamer-%{majorminor}/libgstnavigationtest.so
%{_libdir}/gstreamer-%{majorminor}/libgstossaudio.so
%{_libdir}/gstreamer-%{majorminor}/libgstoss4audio.so
%{_libdir}/gstreamer-%{majorminor}/libgstpng.so
%{_libdir}/gstreamer-%{majorminor}/libgstreplaygain.so
%{_libdir}/gstreamer-%{majorminor}/libgstrtp.so
%{_libdir}/gstreamer-%{majorminor}/libgstrtpmanager.so
%{_libdir}/gstreamer-%{majorminor}/libgstrtsp.so
%{_libdir}/gstreamer-%{majorminor}/libgstshapewipe.so
%{_libdir}/gstreamer-%{majorminor}/libgstshout2.so
%{_libdir}/gstreamer-%{majorminor}/libgstsmpte.so
%{_libdir}/gstreamer-%{majorminor}/libgstspectrum.so
%{_libdir}/gstreamer-%{majorminor}/libgsttaglib.so
%{_libdir}/gstreamer-%{majorminor}/libgstudp.so
%{_libdir}/gstreamer-%{majorminor}/libgstvideo4linux2.so
%{_libdir}/gstreamer-%{majorminor}/libgstvideobox.so
%{_libdir}/gstreamer-%{majorminor}/libgstvideocrop.so
%{_libdir}/gstreamer-%{majorminor}/libgstvideofilter.so
%{_libdir}/gstreamer-%{majorminor}/libgstvideomixer.so
%{_libdir}/gstreamer-%{majorminor}/libgstwavenc.so
%{_libdir}/gstreamer-%{majorminor}/libgstwavparse.so
%{_libdir}/gstreamer-%{majorminor}/libgstximagesrc.so
%{_libdir}/gstreamer-%{majorminor}/libgsty4menc.so
%dir %{_datadir}/gstreamer-%{majorminor}/
%dir %{_datadir}/gstreamer-%{majorminor}/presets
%{_datadir}/gstreamer-%{majorminor}/presets/*

%package -n %{bname}-jack
Summary:	GStreamer plug-in for the Jack Sound Server
Group:		System/Libraries
BuildRequires:	pkgconfig(jack) >= 0.28.0
Provides:	%{bname}-audiosrc
Provides:	%{bname}-audiosink

%description -n %{bname}-jack
Plug-in for the JACK professional sound server.

%files -n %{bname}-jack
%{_libdir}/gstreamer-%{majorminor}/libgstjack.so

%package -n %{bname}-soup
Summary:	GStreamer HTTP plugin based on libsoup
Group:		System/Libraries
Requires:	%{bname}-plugins >= %{version}
BuildRequires:	libsoup-devel >= 2.3

%description -n %{bname}-soup
Plug-in for HTTP access based on libsoup.

%files -n %{bname}-soup
%{_libdir}/gstreamer-%{majorminor}/libgstsouphttpsrc.so

%package -n %{bname}-pulse
Summary:	Pulseaudio plugin for GStreamer
Group:		System/Libraries
Requires:	%{bname}-plugins >= %{version}
BuildRequires:	libpulseaudio-devel >= 0.9.7
Requires:	pulseaudio >= 0.9.7

%description -n %{bname}-pulse
This is a GStreamer audio output plugin using the Pulseaudio sound server.

%files -n %{bname}-pulse
%{_libdir}/gstreamer-%{majorminor}/libgstpulse.so

### LIBDV ###
%package -n %{bname}-dv
Summary:	GStreamer DV plug-in
Group:		System/Libraries
Requires:	%{bname}-plugins >= %{version}
BuildRequires:	pkgconfig(libdv) >= 0.98

%description -n %{bname}-dv
Plug-in for digital video support using libdv.

%files -n %{bname}-dv
%{_libdir}/gstreamer-%{majorminor}/libgstdv.so

%package -n %{bname}-speex
Summary:	Gstreamer plugin for encoding and decoding Ogg Speex audio files
Group:		System/Libraries
Requires:	%{bname}-plugins >= %{version}
BuildRequires:	pkgconfig(speex)

%description -n %{bname}-speex
Plug-Ins for creating and playing Ogg Speex audio files.

%files -n %{bname}-speex
%{_libdir}/gstreamer-%{majorminor}/libgstspeex.so

### RAW1394 ###
%package -n %{bname}-raw1394
Summary:	GStreamer raw1394 Firewire plug-in
Group:		System/Libraries
Requires:	%{bname}-plugins >= %{version}
BuildRequires:	pkgconfig(libavc1394)
BuildRequires:	pkgconfig(libraw1394)
BuildRequires:	pkgconfig(libiec61883)

%description -n %{bname}-raw1394
Plug-in for digital video support using raw1394.

%files -n %{bname}-raw1394
%{_libdir}/gstreamer-%{majorminor}/libgst1394.so

### FLAC ###
%package -n %{bname}-flac
Summary:	GStreamer plug-in for FLAC lossless audio
Group:		System/Libraries
Requires:	%{bname}-plugins >= %{version}
BuildRequires:	pkgconfig(flac) >= 1.0.4

%description -n %{bname}-flac
Plug-in for the free FLAC lossless audio format.

%files -n %{bname}-flac
%{_libdir}/gstreamer-%{majorminor}/libgstflac.so

### AALIB ###
%package -n %{bname}-aalib
Summary:	Gstreamer plugin for Ascii-art output
Group:		System/Libraries
BuildRequires:	aalib-devel >= 1.3
Requires:	%{bname}-plugins >= %{version}

%description -n %{bname}-aalib
Plugin for viewing movies in Ascii-art using aalib library.

%files -n %{bname}-aalib
%{_libdir}/gstreamer-%{majorminor}/libgstaasink.so

%package -n %{bname}-caca
Summary:	Gstreamer plugin for Ascii-art output
Group:		System/Libraries
BuildRequires:	pkgconfig(caca)
Requires:	%{bname}-plugins >= %{version}

%description -n %{bname}-caca
Plugin for viewing movies in Ascii-art using caca library.

%files -n %{bname}-caca
%{_libdir}/gstreamer-%{majorminor}/libgstcacasink.so

%package -n %{bname}-wavpack
Summary:	Gstreamer plugin for encoding and decoding WavPack audio files
Group:		System/Libraries
Requires:	%{bname}-plugins >= %{version}
BuildRequires:	pkgconfig(wavpack)

%description -n %{bname}-wavpack
Plug-Ins for creating and playing WavPack audio files.

%files -n %{bname}-wavpack
%{_libdir}/gstreamer-%{majorminor}/libgstwavpack.so


%changelog
* Fri Mar 10 2017 akien <akien> 0.10.31-13.mga6
+ Revision: 1091605
- Rebuild for v4l-utils 1.12.3

* Wed Mar 01 2017 ghibo <ghibo> 0.10.31-12.mga6
+ Revision: 1088331
- Rebuilt against pulseaudio 10

* Thu Dec 22 2016 shlomif <shlomif> 0.10.31-11.mga6
+ Revision: 1076401
- Disable FLI/FLC/FLX due to security. ( MGA#19830 ).

* Mon Feb 08 2016 umeabot <umeabot> 0.10.31-10.mga6
+ Revision: 947765
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.10.31-9.mga5
+ Revision: 747923
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.10.31-8.mga5
+ Revision: 726416
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.10.31-7.mga5
+ Revision: 679978
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Sat Oct 19 2013 umeabot <umeabot> 0.10.31-6.mga4
+ Revision: 526145
- Mageia 4 Mass Rebuild

* Mon Jun 03 2013 fwang <fwang> 0.10.31-5.mga4
+ Revision: 435988
- fix build with kernel 3.9
- rebuild for new libpng

* Sat Jan 12 2013 umeabot <umeabot> 0.10.31-4.mga3
+ Revision: 352749
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 04 2013 cjw <cjw> 0.10.31-3.mga3
+ Revision: 338646
- patch2: fix build with automake 1.13

* Sun Dec 02 2012 cjw <cjw> 0.10.31-2.mga3
+ Revision: 325633
- fix rpm groups
- patch1: fix build against new libv4l

* Wed Feb 29 2012 shlomif <shlomif> 0.10.31-1.mga2
+ Revision: 216229
- New version: 0.10.31.

* Wed Sep 14 2011 fwang <fwang> 0.10.30-5.mga2
+ Revision: 143125
- rebuild for new libpng

  + colin <colin>
    - Upstream fix to help prevent unnecessary alsa rewinds being triggered by PulseAudio
    - Fix sha1.lst after binrepo change.

  + wally <wally>
    - disable build time checks
    - fix schema name in preun script

* Mon Jun 20 2011 ahmad <ahmad> 0.10.30-2.mga2
+ Revision: 110704
- Replace BR valgrind with valgrind-devel
- Don't explicitly add BR sqlite3-devel or libgnome-keyring-devel they're pulled
  as deps of libsoup

  + wally <wally>
    - new version 0.10.30
    - bump gstreamer dep
    - fix file list

* Thu Mar 17 2011 mikala <mikala> 0.10.28-1.mga1
+ Revision: 72986
- Fix BuildRequires

  + dmorgan <dmorgan>
    - HALectomy ++

  + eandry <eandry>
    - New version 0.10.28
    - disable hal

  + rtp <rtp>
    - don't ftbfs on check failures on arm/mips (tests failing due to timeout)

* Fri Feb 25 2011 ahmad <ahmad> 0.10.27-3.mga1
+ Revision: 59892
- obsolete gstreamer0.10-esound, not conflict (I got it wrong before)
- disable gstreamer0.10-esound, esound is being phased out from the distro
- make the main package conflict with gstreamer0.10-esound to ease updates/upgrades

* Sun Jan 23 2011 wally <wally> 0.10.27-1.mga1
+ Revision: 34619
- new version 0.10.27
- drop P1
- raise gstreamer dep
- jack element moved here
- clean .spec

* Sat Jan 15 2011 ahmad <ahmad> 0.10.26-4.mga1
+ Revision: 19544
- use generic BR
- adapt configure options to Mageia
- imported package gstreamer0.10-plugins-good

